## BtMachineMenu BtMachineMenu — class for the machine selection popup menu |

## Functions

BtMachineMenu * | bt_machine_menu_new ()

## Properties

BtMainPageMachines * | machines-page | Write / Construct Only

## Types and Values

struct | BtMachineMenu

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkMenuShell
                        ╰── GtkMenu
                            ╰── BtMachineMenu

## Implemented Interfaces

BtMachineMenu implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

Builds a hierachical menu with usable machines from the GStreamer registry.

## Functions

### bt_machine_menu_new ()

    BtMachineMenu *
    bt_machine_menu_new (const BtMainPageMachines *main_page_machines);

Create a new instance

#### Parameters

main_page_machines | the machine page for the menu |

#### Returns

the new instance

## Types and Values

### struct BtMachineMenu

    struct BtMachineMenu;

the machine selection sub-menu for the canvas page context menu

## Property Details

### The `“machines-page”` property

      “machines-page”            BtMainPageMachines *

Set application object, the window belongs to.

Flags: Write / Construct Only